Name:		qt5ct
Version:	1.5
Release:	%mkrel 1
Summary:	Qt5 Configuration Tool
Group:		Graphical desktop/Other
License:	BSD
URL:		https://sourceforge.net/projects/qt5ct/
Source0:	http://downloads.sourceforge.net/qt5ct/%{name}-%{version}.tar.xz
Patch0:		qt5ct-0.25-mga-set-QT_QPA_PLATFORMTHEME.patch
BuildRequires:	qttools5
BuildRequires:	qt5platformsupport-devel
BuildRequires:	qt5themesupport-devel
BuildRequires:	pkgconfig(Qt5Concurrent)
BuildRequires:	pkgconfig(Qt5Core)
BuildRequires:	pkgconfig(Qt5DBus)
BuildRequires:	pkgconfig(Qt5Gui)
BuildRequires:	pkgconfig(Qt5Help)
BuildRequires:	pkgconfig(Qt5Svg)
BuildRequires:	pkgconfig(Qt5Widgets)
BuildRequires:	pkgconfig(fontconfig)
BuildRequires:	pkgconfig(freetype2)
BuildRequires:	pkgconfig(libinput)
BuildRequires:	pkgconfig(udev)
BuildRequires:	pkgconfig(xkbcommon)
BuildRequires:	pkgconfig(xrender)

%description
qt5ct allows users to configure Qt5 settings (theme, font, icons, etc.) under
DE/WM without Qt integration.

%prep
%setup -q
%apply_patches

%build
%qmake_qt5

%make_build

%install
%make_install INSTALL_ROOT=%{buildroot}

# Copy translations files
install -d %{buildroot}%{_datadir}/%{name}/translations
install -m 644 src/%{name}/translations/*.qm %{buildroot}%{_datadir}/%{name}/translations/

%files
%{_bindir}/%{name}
%{_datadir}/%{name}/
%{_datadir}/applications/%{name}.desktop
%{_qt5_plugindir}/platformthemes/libqt5ct.so
%{_qt5_plugindir}/styles/libqt5ct-style.so
%config %{_sysconfdir}/profile.d/%{name}.*sh


%changelog
* Mon Sep 19 2022 tex - 1.5-1pclos2022
- new version

* Mon Sep 19 2022 tex - 1.1-3pclos2022
- rebuild against updates

* Tue Dec 22 2020 tex - 1.1-2pclos2021
- rebuild against updates

* Mon Dec 22 2020 tex - 1.1-1pclos2020
- 1.1
